#include "simple.hpp"

#include <plask/material/info.hpp>

MI_PROPERTY(SampleSimpleMaterial, Nr,
    plask::MIArgumentRange(plask::MaterialInfo::ARGUMENT_NAME::lam, 500., 1500.),
    plask::MISource("Some source info"),
    plask::MINote("Some note")
)
plask::dcomplex SampleSimpleMaterial::Nr(double lam, double T, double n) const {
    return plask::dcomplex(3.0 + 1e-3 * lam, -1e-8 * lam * lam);
}

static plask::MaterialsDB::Register<SampleSimpleMaterial> registerSampleSimpleMaterial;
