#include <plask/material.hpp>

class SampleAlloyMaterial : public plask::Semiconductor {
    double Al;

  protected:
    bool isEqual(const Material& other) const override;

  public:
    static constexpr const char* NAME = "AlGaAs_sample";

    SampleAlloyMaterial(const Composition& composition);

    std::string name() const override { return NAME; }
    std::string str() const override;
    Composition composition() const override;

    plask::dcomplex Nr(double lam, double T = 300., double n = 0.) const override;
};
