#include <plask/material.hpp>

class SampleDopedMaterial : public plask::Semiconductor {
    double Si;

  protected:
    bool isEqual(const Material& other) const override;

  public:
    static constexpr const char* NAME = "Doped:Si";

    SampleDopedMaterial(double Si);

    std::string name() const override { return NAME; }
    std::string str() const override;

    plask::Tensor2<double> cond(double T = 300.) const override;
};
