#include <plask/material.hpp>

struct SampleSimpleMaterial : public plask::Material {

    static constexpr const char* NAME = "Simple";

    std::string name() const override { return NAME; }

    Material::Kind kind() const override { return plask::Material::GENERIC; }

    plask::dcomplex Nr(double lam, double T = 300., double n = 0.) const override;
};
